use uinput::event::Keyboard;

pub struct VirtualKeyboard {
    pub device: uinput::Device,
}

impl VirtualKeyboard {
    pub fn new(name: &str) -> Self {
        let virt_kbd = uinput::default().unwrap()
            .name(name).unwrap()
            .event(Keyboard::All).unwrap()
            .create().unwrap();

        VirtualKeyboard {
            device: virt_kbd
        }
    }
}
